Subject: Re: Call for Adoption: SEARCH method

From: "Juan Barriteau" <[email-masked]>
Date: Tue, 06 Apr 2021 22:13:46 -0400

Fair point Julian, got it. I hope this gets approved soon, ended up here
after wondering which could be the appropriate method for sending stuff
to a resource without the intention of changing its state and it was nice
to find you all were already working around this idea, looking forward to
see it realized. Thanks for clarifying and for your warm welcome.

Juan

> Am 04.04.2021 um 20:05 schrieb Juan Barriteau:
> > Maybe mine are silly questions, I'm pretty sure I have a lack of
> > context, but I'll risk it, just don't be too harsh with the stranger...
> 
> Welcome to this Working Group. You sent feedback, so you aren't a
> stranger anymore :-)
> 
> > Why not simply name SEND this method which has body but is not intended
> > to change the state of the resource? I perceive a method named like this
> > as a natural companion for the current standard methods.
> > ...
> 
> The reason for picking "SEARCH" in the initial draft was that this
> method name is already registered, so we don't have to add yet another
> one with essentially the same semantics. And furthermore, there's
> already code out there which understands that SEARCH is safe and thus
> can be safely retried.
> 
> That said, some people are unhappy with that, so the name of the
> internet draft deliberately was chosen so that *if* we pick a different
> name we don't end up with a funny mismatch.
> 
> Best regards, Julian